microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
Parâmetros de consulta
api-version
string
exigido
The API version to use for this operation.
Parâmetros de caminho
name
string
exigido
The name of the resource
version
string
exigido
The specific version id of the DatasetVersion to operate on.
Respostas
The request has succeeded.
Corpo
Content-Type: application/json
blobReference
BlobReference
exigido
Blob reference details.
blobUri
string
exigido
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
exigido
ARM ID of the storage account to use.
credential
SasCredential
exigido
SAS Credential definition
sasUri
string
exigido
SAS uri
type
enum
exigido
Type of credential
SAS
Solicitar
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
Resposta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json